Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

PUT /v3/webhooks/:id

Request Body

All fields are optional. Only provided fields are updated.
FieldTypeDescription
urlstringNew delivery URL
event_typesstring[]Replace event type subscriptions
filtersobjectReplace filter criteria
activebooleanPause (false) or resume (true)
descriptionstringUpdate label

Example — Pause a webhook

curl -X PUT https://api.polynode.dev/v3/webhooks/wh_451e06ca0534 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"active": false}'

Example — Change filters

curl -X PUT https://api.polynode.dev/v3/webhooks/wh_451e06ca0534 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "wallet_addresses": ["0xnewwallet..."],
      "min_amount_usd": 500
    }
  }'

Response

Returns the full updated webhook object (same schema as List).